package org.example.data.repository

import org.example.data.model.ShoesDTO
import org.example.domain.request.AddShoesRequest

interface ShoesRepository {
    fun add(addShoesRequest: AddShoesRequest): ShoesDTO
    fun getShoesById(id: Int):ShoesDTO?
    fun getAllShoes(): List<ShoesDTO>
    fun update(id: Int, updateShoes: ShoesDTO): Boolean
    fun delete(id: Int): Boolean
}